Create a PTR record for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/ptr_records

Create a new PTR record for a server by executing a POST request to /v1/hosts/dedicated_servers/{server_id}/ptr_records. The ID has to be specified as the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/BDbDP5bl/ptr_records" \  -H "Content-Type: application/json" \  -d '{    "ip": "100.0.0.4",    "domain": "example-1309.com",    "ttl": 300,    "priority": 3  }'
{  "id": "xkazYeJ0",  "ip": "100.0.0.4",  "domain": "example-1309.com",  "priority": 3,  "ttl": 300}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "ip": "address doesn't belong to host"  }}